public class mekanik_havalandirma
{
String sizdirmazlik_durumu;
String sizdirmazlik[]={"yüksek","orta","düşük"};
String yerlesme[]={"açık alan","şehir 10 kattan yüksek","şehir on kattan az","kırsal"};
String yerlesme_durumu;
double e;
double Vf; // fan debisi m^3/h
double Vx; // hava sızıntısı m^3/h
double Vs; // dış ortamdan alınan taze hava giriş debisi
double Ve; // Hava çıkış debisi
double Vh; // havalandırılan hacim m^3
int kattaki_daire_sayısı;
int disa_acik_yuzey;
public havalandirma_kaybi(String sizdirmazlik_durumu_i,
                          String yerlesmedurumu_i,
                          int kattakidairesayisi_i,
                          double Vhi,double Vfi)
{  double n50=0;
	sizdirmazlik_durumu=sizdirmazlik_durumu_i;
  yerlesme_durumu=yerlesmedurumu_i;
  kattakidairesayisi=kattakidairesayisi_i;
  for(int i=0;i<sizdirmazlik.length;i++)
  { if(kattakidairesayisi==1 && sizdirmazlik_durumu.equals(sizdirmazlik[i]) && i==0) n50=4; 
    else if(kattakidairesayisi==1 &&i==1) n50=7; 
    else if(kattakidairesayisi==1 &&i==1)  n50=10.0;
    else if(kattakidairesayisi>1 &&i==0) n50=2; 
    else if(kattakidairesayisi>1 &&i==1) n50=3.5; 
    else if(kattakidairesayisi>1 &&i==1)  n50=5.0;    
  }
                          

}
}